Skip to main content
Version: 10.0

Victim Resource

Description​

This resource is for examining an individual victim. Generally you will identify sets of victims using the Zone Victims Resource, but you can get updates on individual victims using this resource.

GET /victims/:ID​

Returns the individual victim corresponding to this victim ID.

GET Parameters​

NameRequiredTypeDescriptionDefault Value
:IDYesURL ParameterThe unique ID of the victim. 

GET Response Values​

NameTypeDescription
idJSON NumberThe unique ID number of the victim. Corresponds to the ID used for the victim resource.
ip_addrJSON StringThe IP address of the victim.
attacktypeJSON NumberNumber representing the attack type for the victim.
full_attacktypeJSON StringThe string description of the attack type for the victim.
attack_subtypeJSON ArrayAn array of JSON Strings representing the subtypes of the attack type that were detected.
starttimeJSON StringThe start time of the attack, converted to ISO 8601 format (UTC).
endtimeJSON StringThe end time of the attack, converted to ISO 8601 format (UTC). If the attack is ongoing, this will be represented by the string value "Infinity".
numbitsJSON NumberThe number of bits processed by the algorithm for the victim since the attack started.
numpacketsJSON NumberThe number of packets processed by the algorithm for the victim since the attack started.
numattackbitsJSON NumberThe number of bits declared as attacker bits by the algorithm.
numattackpacketsJSON NumberThe number of packets declared as attacker packets by the algorithm.
numdroppedbitsJSON NumberThe number of bits dropped by the algorithm for this victim.
numdroppedpacketsJSON NumberThe number of packets dropped by the algorithm for this victim.
zone_resourceJSON StringThe zone resource that contains the victim.
victim_resourceJSON StringThe victim resource for this victim (i.e. the same resource used in this query).
zone_nameJSON StringThe display name of the zone.
current_ppsJSON NumberThe current packets per second of the attack on this victim.
current_bpsJSON NumberThe current bits per second of the attack on this victim.
max_ppsJSON NumberThe maximum observed packet rate of the attack on this victim, over the attack's time frame.
max_bpsJSON NumberThe maximum observed bit rate of the attack on this victim, over the attack's time frame.

Example GET Request​

 GET /victims/29148258

Example GET Response​

{
"id": 29148258,
"ip_addr": "16.1.1.1",
"attacktype": 1,
"full_attacktype": "AT1 SYN FLOOD",
"attack_subtype": [
"1"
],
"starttime": "2024-09-09T22:26:05Z",
"endtime": "Infinity",
"numbits": 154304764232704,
"numpackets": 301376492642,
"numattackbits": 153981204028928,
"numattackpackets": 300744539119,
"numdroppedbits": 0,
"numdroppedpackets": 0,
"zone_resource": "/zones/1015",
"victim_resource": "/victims/29148258",
"zone_name": "G16-RS40-2-P5",
"current_pps": 4989075,
"current_bps": 2554397136,
"max_pps": 6097569,
"max_bps": 3121942632
}